Model API Pages
Seedance 2.0 API Integration
Seedance 2.0 کو Rivya Public API v1 کے ذریعے model id seedance-2، supported inputs، parameters، Files API rules، credits اور response examples کے ساتھ استعمال کریں۔
API کے ذریعے availableText input readyویڈیو
API model id
seedance-2
Inputs
text
Files API
Minimal request کے لیے required نہیں
Base credits
175
Capability
ویڈیو
Billing
FIXED
Prompt limit
2500 characters
Request contract
model id کو top level پر بھیجیں۔ Model-specific controls params میں رہتے ہیں۔
| Key | Type | Required | Default | Description |
|---|---|---|---|---|
| model | string | Yes | seedance-2 | seedance-2 API model id استعمال کریں۔ |
| prompt | string | Yes | - | اس model کے لیے زیادہ سے زیادہ 2500 characters۔ |
| params | object | No | - | Model-specific parameter object۔ allowed keys کے لیے نیچے والی rows استعمال کریں۔ |
| client_request_id | string | No | - | آپ کے system میں requests trace کرنے کے لیے optional client-side id۔ |
Model parameters
| Key | Type | Required | Default | Range | Options | Description |
|---|---|---|---|---|---|---|
| seedance_scene | select | No | text | - | text, frames, reference | یہ منتخب کرتا ہے کہ کون سا Seedance 2 path چلنا ہے: pure text-to-video، first-frame / first-last-frame guidance، یا multimodal reference generation۔ |
| resolution | select | No | 720p | - | 480p, 720p | ریزولوشن |
| aspect_ratio | select | No | 16:9 | - | 1:1, 4:3, 3:4, 16:9, 9:16, 21:9, adaptive | فریم تناسب |
| duration | number | No | 5 | min 4 / max 15 | - | دورانیہ |
| generate_audio | select | No | true | - | true, false | Audio بنائیں |
| return_last_frame | select | No | false | - | false, true | Final frame کو still image کے طور پر بھی واپس کرتا ہے، جو covers، follow-up runs، یا بعد کی editing کے لیے useful ہے۔ |
| web_search | select | No | false | - | false, true | ویب سرچ |
| nsfw_checker | select | No | false | - | false, true | NSFW چیکر |
Minimal request
{
"model": "seedance-2",
"prompt": "A cinematic product reveal with smooth camera movement",
"params": {
"seedance_scene": "text",
"resolution": "720p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": "true",
"return_last_frame": "false",
"web_search": "false",
"nsfw_checker": "false"
}
}Create response
create endpoint ایک public task id واپس کرتا ہے۔ task succeeded یا failed ہونے تک status endpoint poll کریں۔
{
"id": "task_seedance_2_example",
"status": "queued",
"model": "seedance-2",
"reserved_credits": 175,
"final_credits": 0,
"created_at": "2026-05-11T00:00:00.000Z",
"updated_at": "2026-05-11T00:00:00.000Z",
"result": null,
"error": null
}Common errors
validation_failed, insufficient_credits, idempotency_conflict, rate_limited, not_found
create endpoint ایک public task id واپس کرتا ہے۔ task succeeded یا failed ہونے تک status endpoint poll کریں۔